Bug 106829 - konsole crashes in kiosk mode when action/settings=false is set
Summary: konsole crashes in kiosk mode when action/settings=false is set
Status: RESOLVED FIXED
Alias: None
Product: konsole
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Mandriva RPMs Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Konsole Developer
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-06-05 10:03 UTC by Marian Lukac
Modified: 2005-06-25 21:44 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Marian Lukac 2005-06-05 10:03:28 UTC
Version:            (using KDE KDE 3.4.1)
Installed from:    Mandriva RPMs
OS:                Linux

Konsole crashes in Kiosk mode upon clicking on any menu item
or right-clicking anywhere in Konsole area.

Configuration:
/etc/kde/kdeglobals:
[KDE Action Restrictions][$i]
action/settings=false

This setting should disable(hide) the "Settings" menu in KDE applications.
Works OK in Konqueror. In Konsole, it hides the "Settings" menu item,
but crashes when clicking on any visible menu item (Session, Edit, ...)
or when right-clicking the Konsole area.

Bug is present in KDE 3.3.2 and 3.4.1 (mandriva RPM packages).

Backtrace when crash is caused by right-click:
Using host libthread_db library "/lib/tls/libthread_db.so.1".
[Thread debugging using libthread_db enabled]
[New Thread -1229927712 (LWP 4280)]
[KCrash handler]
#7  0xb6a067cd in Konsole::makeGUI (this=0x811b7a0) at konsole.cpp:827
#8  0xb6a0a058 in Konsole::configureRequest (this=0x811b7a0, _te=0x0,
    state=0, x=0, y=0) at konsole.cpp:1261
#9  0xb6a0a36a in Konsole::qt_invoke (this=0x811b7a0, _id=82, _o=0xbfffe6b8)
    at konsole.moc:428
#10 0xb767921d in QObject::activate_signal ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#11 0x0818d001 in ?? ()
#12 0x00000010 in ?? ()
#13 0xbfffe7a8 in ?? ()
#14 0xb6a49c4b in _XimLocalSetICValues ()
   from /usr/X11R6/lib/X11/locale/lib/common/ximcp.so.2

Backtrace when crash is caused by left-click on menu:
Using host libthread_db library "/lib/tls/libthread_db.so.1".
[Thread debugging using libthread_db enabled]
[New Thread -1229927712 (LWP 4403)]
[KCrash handler]
#7  0xb6a067cd in Konsole::makeGUI (this=0x811c100) at konsole.cpp:827
#8  0xb6a0a2b1 in Konsole::qt_invoke (this=0x811c100, _id=80, _o=0xbfffe4fc)
    at konsole.moc:426
#9  0xb767917f in QObject::activate_signal ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#10 0xb7a638b4 in ?? () from /usr/lib/qt3/lib/libqt-mt.so.3
#11 0xbfffe4b4 in ?? ()
#12 0x00000000 in ?? ()
#13 0xb75bc916 in QCursor::pos () from /usr/lib/qt3/lib/libqt-mt.so.3
#14 0xbfffe4fc in ?? ()
#15 0x081255b0 in ?? ()
#16 0x081255b0 in ?? ()
#17 0xb76796f4 in QObject::activate_signal ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#18 0x081255b0 in ?? ()
#19 0x08127f50 in ?? ()
#20 0xbfffe4fc in ?? ()
#21 0xb79cdb1c in QPopupMenu::staticMetaObject ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#22 0xbfffe514 in ?? ()
#23 0xbfffe504 in ?? ()
#24 0xbfffe510 in ?? ()
#25 0xbfffe500 in ?? ()
#26 0xbfffe50c in ?? ()
#27 0xbfffe518 in ?? ()
#28 0xbfffe508 in ?? ()
#29 0xb7ae9f84 in TID_QUType_enum () from /usr/lib/qt3/lib/libqt-mt.so.3
#30 0x00000100 in ?? ()
#31 0x00000022 in ?? ()
#32 0x00000091 in ?? ()
#33 0x00000022 in ?? ()
#34 0xb7a638b4 in ?? () from /usr/lib/qt3/lib/libqt-mt.so.3
#35 0x00000001 in ?? ()
#36 0x00000000 in ?? ()
#37 0xb79ce03a in QPopupMenu::aboutToShow ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#38 0x00000006 in ?? ()
#39 0xb7a638b4 in ?? () from /usr/lib/qt3/lib/libqt-mt.so.3
#40 0xb778a97d in QPopupMenu::popup () from /usr/lib/qt3/lib/libqt-mt.so.3
#41 0x00000000 in ?? ()
#42 0x00000000 in ?? ()
#43 0x00000000 in ?? ()
#44 0x00000000 in ?? ()
#45 0x00000000 in ?? ()
#46 0x00000000 in ?? ()
#47 0x00000000 in ?? ()
#48 0x00000000 in ?? ()
#49 0x00000000 in ?? ()
#50 0x00000000 in ?? ()
#51 0x00000000 in ?? ()
#52 0x00000000 in ?? ()
#53 0x00000000 in ?? ()
#54 0x00000000 in ?? ()
#55 0xbfffe5a8 in ?? ()
#56 0x00000020 in ?? ()
#57 0xbfffe650 in ?? ()
#58 0xb73303e3 in __read_nocancel () from /lib/tls/libpthread.so.0
#59 0xb738c03e in XUnlockDisplay () from /usr/X11R6/lib/libX11.so.6
Comment 1 Kurt Hindenburg 2005-06-05 20:50:00 UTC
SVN commit 422532 by hindenburg:

Fix crashes when action/settings=false

BUGS: 106829 


 M  +34 -32    konsole.cpp  
Comment 2 Kurt Hindenburg 2005-06-06 00:06:52 UTC
SVN commit 422609 by hindenburg:

Fix crashes when action/settings=false

CCBUGS: 106829



 M  +34 -32    konsole.cpp  
Comment 3 Kurt Hindenburg 2005-06-25 21:44:01 UTC
SVN commit 428915 by hindenburg:

Fix sm/dcop crashes when action/settings=false.

CCBUG: 106829


 M  +8 -2      konsole.cpp  


--- trunk/KDE/kdebase/konsole/konsole/konsole.cpp #428914:428915
@@ -2597,6 +2597,10 @@
 {
   if (!selectSetEncoding)
      makeGUI();
+
+  if ( !selectSetEncoding )         // when action/settings=false
+    return;
+
   QStringList items = selectSetEncoding->items();
 
   QString enc;
@@ -3480,8 +3484,10 @@
 
 void Konsole::setEncoding(int index)
 {
-  selectSetEncoding->setCurrentItem(index);
-  slotSetEncoding();
+  if ( selectSetEncoding ) {
+    selectSetEncoding->setCurrentItem(index);
+    slotSetEncoding();
+  }
 }
 
 void Konsole::setSchema(ColorSchema* s, TEWidget* tewidget)
Comment 4 Kurt Hindenburg 2005-06-25 21:44:55 UTC
SVN commit 428916 by hindenburg:

Fix sm/dcop crashes when action/settings=false.

CCBUG: 106829


 M  +8 -2      konsole.cpp  


--- branches/KDE/3.4/kdebase/konsole/konsole/konsole.cpp #428915:428916
@@ -2631,6 +2631,10 @@
 {
   if (!selectSetEncoding)
      makeGUI();
+
+  if ( !selectSetEncoding )         // when action/settings=false
+    return;
+
   QStringList items = selectSetEncoding->items();
 
   QString enc;
@@ -3544,8 +3548,10 @@
 
 void Konsole::setEncoding(int index)
 {
-  selectSetEncoding->setCurrentItem(index);
-  slotSetEncoding();
+  if ( selectSetEncoding ) {
+    selectSetEncoding->setCurrentItem(index);
+    slotSetEncoding();
+  }
 }
 
 void Konsole::setSchema(ColorSchema* s, TEWidget* tewidget)